Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154551 - CAN-2005-1041 crash while reading /proc/net/route
Summary: CAN-2005-1041 crash while reading /proc/net/route
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 16:46 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 18:52:30 UTC


Attachments (Terms of Use)
Fix for /proc/net/route OOPS (deleted)
2005-04-12 19:37 UTC, David Miller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:366 high SHIPPED_LIVE Important: kernel security update 2005-04-19 04:00:00 UTC

Description Josh Bressers 2005-04-12 16:46:34 UTC
The fib_seq_start function in fib_hash.c in Linux kernel allows local
users to cause a denial of service (system crash) via /proc/net/route.


http://marc.theaimsgroup.com/?l=bk-commits-head&m=111186506706769&w=2

Comment 1 David Miller 2005-04-12 19:36:08 UTC
I have already submitted the fix for this for RHEL4 inclusion.
I'll attach it here,  but can someone verify that it got put
into the RHEL4 tree already?


Comment 2 David Miller 2005-04-12 19:37:08 UTC
Created attachment 113048 [details]
Fix for /proc/net/route OOPS

Comment 3 Dave Jones 2005-04-12 19:40:57 UTC
applied.

Comment 4 Josh Bressers 2005-04-19 18:52:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html



Note You need to log in before you can comment on or make changes to this bug.